#
# spec file for package curl (Version 7.8.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         curl
Obsoletes:    curl_ssl
Provides:     curl_ssl
Version:      7.8.1
Release:      47
Autoreqprov:  on
Copyright:    MOZILLA PUBLIC LICENSE
Group:	      Applications/Internet
Summary:      Tool for Transfering Data
URL:	      http://curl.haxx.se/
Source:	      %{name}-%{version}.tar.bz2
Patch:	      %{name}-%{version}-man.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Curl is a command line tool for transfering data specified with URL syntax.

Authors:
--------
    Daniel Stenberg <Daniel.Stenberg@haxx.se>

SuSE series: n

%package devel
Summary:      header files and libraries for curl development
Group:        Development/Libraries
Requires:     curl
Provides:     curlssld
Obsoletes:    curlssld

%description devel
header files and libraries for curl development

Authors:
--------
    Daniel Stenberg <Daniel.Stenberg@haxx.se>

SuSE series: n

%prep
%setup
%patch

%build
%{suse_update_config}
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                      --prefix=/usr \
                      --enable-ipv6 \
                      --with-ssl=/usr/ssl
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README 
%doc docs/{BUGS,CONTRIBUTE,FAQ,FEATURES,INTERNALS,LIBCURL,MANUAL,RESOURCES,TODO,TheArtOfHttpScripting}
/usr/bin/curl
/usr/lib/libcurl.so.*
/usr/lib/libcurl.la
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*

%files devel
/usr/bin/curl-config
/usr/include/curl
/usr/lib/libcurl.so
/usr/lib/libcurl.a

%changelog -n curl
* Fri Sep 21 2001 - adostal@suse.cz
- fix manual in man.patch
* Tue Aug 21 2001 - adostal@suse.cz
- update to version 7.8.1
* Wed Jul 18 2001 - adostal@suse.cz
- files devel fixed
* Mon Jul 02 2001 - adostal@suse.cz
- update to version 7.8
* Wed Jun 13 2001 - ro@suse.de
- fixed to compile with new autoconf
* Mon Apr 09 2001 - cihlar@suse.cz
- update to version 7.7.1
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 7.6.1
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed Provides and Obsoletes also for curl-devel
* Tue Dec 19 2000 - cihlar@suse.cz
- fixed name
- added Obsoletes: curl_ssl
* Mon Dec 18 2000 - cihlar@suse.cz
- changed to ssl support
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed curldev -> curl-devel
- update to version 7.4.2
* Tue Oct 17 2000 - cihlar@suse.cz
- update to version 7.4.1 - security bug fixed
* Wed Aug 30 2000 - cihlar@suse.cz
- package created
